<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net50</TargetFramework>
    </PropertyGroup>

    <ItemGroup>
      <Content Update="Pages\Ticket.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Trip.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Logout.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\OEAPI.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Inspection.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Delete.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Card.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Cards.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
      <Content Update="Pages\Plain.cshtml">
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      </Content>
    </ItemGroup>

    <ItemGroup>
      <Compile Update="Pages\Ticket.cshtml.cs">
        <DependentUpon>Ticket.cshtml</DependentUpon>
      </Compile>
      <Compile Update="Pages\Logout.cshtml.cs">
        <DependentUpon>Logout.cshtml</DependentUpon>
      </Compile>
      <Compile Update="Pages\OEAPI.cshtml.cs">
        <DependentUpon>OEAPI.cshtml</DependentUpon>
      </Compile>
      <Compile Update="Pages\Inspection.cshtml.cs">
        <DependentUpon>Inspection.cshtml</DependentUpon>
      </Compile>
      <Compile Update="Pages\Delete.cshtml.cs">
        <DependentUpon>Delete.cshtml</DependentUpon>
      </Compile>
      <Compile Update="Pages\Cards.cshtml.cs">
        <DependentUpon>Cards.cshtml</DependentUpon>
      </Compile>
      <Compile Update="Pages\Plain.cshtml.cs">
        <DependentUpon>Plain.cshtml</DependentUpon>
      </Compile>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="CsvHelper" Version="15.0.8" />
      <PackageReference Include="Ical.Net" Version="4.1.11" />
      <PackageReference Include="linq2db" Version="2.9.8" />
      <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="3.1.4" />
      <PackageReference Include="Microsoft.Data.Sqlite" Version="3.1.4" />
      <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="5.0.1" />
      <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
      <PackageReference Include="System.Reflection.TypeExtensions" Version="4.7.0" />
    </ItemGroup>

</Project>
